Zum Hauptinhalt springen
POST
/
crm
/
associations
/
2026-03
/
definitions
/
configurations
/
{fromObjectType}
/
{toObjectType}
/
batch
/
purge
Batch delete limits
curl --request POST \
  --url https://api.hubapi.com/crm/associations/2026-03/definitions/configurations/{fromObjectType}/{toObjectType}/batch/purge \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "category": "<string>",
      "typeId": 123
    }
  ]
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    "<unknown>"
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "status": "CANCELED",
  "errors": [
    {
      "category": "<string>",
      "context": {},
      "errors": [
        {
          "message": "<string>",
          "code": "<string>",
          "context": "{missingScopes=[scope1, scope2]}",
          "in": "<string>",
          "subCategory": "<string>"
        }
      ],
      "links": {},
      "message": "<string>",
      "status": "<string>",
      "id": "<string>",
      "subCategory": {}
    }
  ],
  "links": {},
  "numErrors": 123,
  "requestedAt": "2023-11-07T05:31:56Z"
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

fromObjectType
string
erforderlich

The type of the source object in the association.

toObjectType
string
erforderlich

The type of the target object in the association.

Body

application/json
inputs
object[]
erforderlich

Antwort

successful operation

completedAt
string<date-time>
erforderlich

The date and time when the batch operation was completed.

results
any[]
erforderlich
startedAt
string<date-time>
erforderlich

The date and time when the batch operation began.

status
enum<string>
erforderlich

The current status of the batch operation, which can be CANCELED, COMPLETE, PENDING, or PROCESSING.

Verfügbare Optionen:
CANCELED,
COMPLETE,
PENDING,
PROCESSING
errors
object[]

A collection of URLs linking to related resources or documentation.

numErrors
integer<int32>

The total number of errors that occurred during the batch operation.

requestedAt
string<date-time>

The date and time when the batch request was made.

Last modified on April 9, 2026